<?php
//http://blog.decryptweb.com/curl-magento/
class Joovii_Sendleapi_Helper_Data extends Mage_Core_Helper_Abstract
{	
	protected $_code = 'sendle';	
	public function validateextensionkey(){		
		return 'validate';	
	}
	
	
	
	public function postingCurl($apiparam, $posttype='', $orderpostcontent=''){
				
		$apiusername = Mage::getStoreConfig('carriers/sendle/apikey');
		$apipassword = Mage::getStoreConfig('carriers/sendle/sendleid');
		
		$process = curl_init();
		curl_setopt($process, CURLOPT_URL, trim($apiparam));
		if($posttype=='POST'){
			curl_setopt($process, CURLOPT_POST, true);
			curl_setopt($process, CURLOPT_POSTFIELDS, $orderpostcontent);
			curl_setopt($process, CURLOPT_HTTPHEADER, array('Content-Type: application/json','Accept: application/json' ));
			curl_setopt($process, CURLOPT_USERPWD, $apiusername . ':' . $apipassword);
		}
		if($posttype=='GET'){
			curl_setopt($process, CURLOPT_GET, true);
			curl_setopt($process, CURLOPT_HTTPHEADER, array('Content-Type: application/json','Accept: application/json' ));
			curl_setopt($process, CURLOPT_USERPWD, $apiusername . ':' . $apipassword);
		}
		if($posttype=='DELETE'){
			curl_setopt($process, CURLOPT_GET, true);
			curl_setopt($process, CURLOPT_CUSTOMREQUEST, "DELETE");
			curl_setopt($process, CURLOPT_HTTPHEADER, array( '-X: DELETE','Content-Type: application/json', 'Accept: application/json' ));
			curl_setopt($process, CURLOPT_USERPWD, $apiusername . ':' . $apipassword);
		}		
		if($posttype=='PRINT'){
			curl_setopt($process, CURLOPT_GET, true);
			curl_setopt($process, CURLOPT_HTTPHEADER, array( '-L', '-O: label.pdf' ));
			curl_setopt($process, CURLOPT_USERPWD, $apiusername . ':' . $apipassword);
		}
				
		curl_setopt($process, CURLOPT_TIMEOUT, 30);
		curl_setopt($process, CURLOPT_RETURNTRANSFER, TRUE);
		$return = curl_exec($process);
		curl_close($process);		
		return $return;
				
	}
	
}

