<?php

$installer = $this;
$installer->startSetup();
$installer->addAttribute("order", "sendle_delivery_instruction", array("type"=>"varchar"));
$installer->addAttribute("quote", "sendle_delivery_instruction", array("type"=>"varchar"));
$installer->addAttribute("order", "sendle_order_id", array("type"=>"varchar"));
$installer->addAttribute("order", "sendle_reference", array("type"=>"varchar"));
$installer->addAttribute("order", "sendle_pickup_date", array("type"=>"varchar"));
$installer->addAttribute("order", "sendle_shipment_track", array("type"=>"varchar"));
$installer->addAttribute("order", "sendle_submit_status", array("type"=>"varchar"));
$installer->addAttribute("order", "sendle_post_content", array("type"=>"text"));
$installer->addAttribute("order", "sendle_return_content", array("type"=>"text"));



$setup = new Mage_Eav_Model_Entity_Setup('core_setup');
if (!$setup->getAttributeId(Mage_Catalog_Model_Product::ENTITY, 'sendle_length')) {
    $setup->addAttribute('catalog_product', 'sendle_length', array(
        'attribute_set'              => 'Default',
        'group'                      => 'General',
        'input'                      => 'text',
        'type'                       => 'text',
        'label'                      => 'Sendle Length',
        'backend'                    => '',
        'visible'                    => 1,
        'required'                   => 0,
        'user_defined'               => 1,
        'searchable'                 => 1,
        'filterable'                 => 0,
        'comparable'                 => 1,
        'visible_on_front'           => 1,
        'visible_in_advanced_search' => 0,
        'is_html_allowed_on_front'   => 0,
        'source'                     => '',
        'global'                     => Mage_Catalog_Model_Resource_Eav_Attribute::SCOPE_GLOBAL
    ));
}
if (!$setup->getAttributeId(Mage_Catalog_Model_Product::ENTITY, 'sendle_width')) {
    $setup->addAttribute('catalog_product', 'sendle_width', array(
        'attribute_set'              => 'Default',
        'group'                      => 'General',
        'input'                      => 'text',
        'type'                       => 'text',
        'label'                      => 'Sendle Width',
        'backend'                    => '',
        'visible'                    => 1,
        'required'                   => 0,
        'user_defined'               => 1,
        'searchable'                 => 1,
        'filterable'                 => 0,
        'comparable'                 => 1,
        'visible_on_front'           => 1,
        'visible_in_advanced_search' => 0,
        'is_html_allowed_on_front'   => 0,
        'source'                     => '',
        'global'                     => Mage_Catalog_Model_Resource_Eav_Attribute::SCOPE_GLOBAL
    ));
}

if (!$setup->getAttributeId(Mage_Catalog_Model_Product::ENTITY, 'sendle_depth')) {
    $setup->addAttribute('catalog_product', 'sendle_depth', array(
        'attribute_set'              => 'Default',
        'group'                      => 'General',
        'input'                      => 'text',
        'type'                       => 'text',
        'label'                      => 'Sendle Depth',
        'backend'                    => '',
        'visible'                    => 1,
        'required'                   => 0,
        'user_defined'               => 1,
        'searchable'                 => 1,
        'filterable'                 => 0,
        'comparable'                 => 1,
        'visible_on_front'           => 1,
        'visible_in_advanced_search' => 0,
        'is_html_allowed_on_front'   => 0,
        'source'                     => '',
        'global'                     => Mage_Catalog_Model_Resource_Eav_Attribute::SCOPE_GLOBAL
    ));
}

// Insert a list of states into the regions database. Magento will then pick
// these up when displaying addresses and allow the user to select from a drop-down
// list, rather than having to type them in manually.
$regions = array(
    array('code' => 'ACT', 'name' => 'Australia Capital Territory'),
    array('code' => 'NSW', 'name' => 'New South Wales'),
    array('code' => 'NT', 'name' =>  'Northern Territory'),
    array('code' => 'QLD', 'name' => 'Queensland'),
    array('code' => 'SA', 'name' =>  'South Australia'),
    array('code' => 'TAS', 'name' => 'Tasmania'),
    array('code' => 'VIC', 'name' => 'Victoria'),
    array('code' => 'WA', 'name' =>  'Western Australia')
);

$db = Mage::getSingleton('core/resource')->getConnection('core_read');

foreach ($regions as $region) {
    // Check if this region has already been added
    $result = $db->fetchOne(
        "SELECT code FROM " . $this->getTable('directory_country_region') .
        " WHERE `country_id` = 'AU' AND `code` = '" . $region['code'] . "'"
    );
    if ($result != $region['code']) {
        $installer->run(
            "INSERT INTO `{$this->getTable('directory_country_region')}` (`country_id`, `code`, `default_name`)
             VALUES ('AU', '" . $region['code'] . "', '" . $region['name'] . "');
            INSERT INTO `{$this->getTable('directory_country_region_name')}` (`locale`, `region_id`, `name`) VALUES
            ('en_US', LAST_INSERT_ID(), '" . $region['name'] . "'), ('en_AU', LAST_INSERT_ID(), '" .
            $region['name'] . "');"
        );
    }
}

 
$installer->endSetup();

//Mage::log("------- Order END[install delivery_instruction mysql4-install-1.1.4 ]---------", null, "sendleapi1002.log");

